## GstCudaBufferPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstBufferPool
                    ╰──GstCudaBufferPool

### Members

`parent` (GstBufferPool) –
No description available
`context` (GstCudaContext *) –
No description available
`priv` (GstCudaBufferPoolPrivate*) –
No description available

### Class structure

#### GstCudaBufferPoolClass

##### Fields

`parent_class` (GstBufferPoolClass) –
No description available

### GstCuda.CudaBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

### GstCuda.CudaBufferPoolClass

##### Attributes

`parent_class` (Gst.BufferPoolClass) –
No description available

## GstCuda.CudaBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstCuda.CudaBufferPool

### Members

`parent` (Gst.BufferPool) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`priv` (GstCuda.CudaBufferPoolPrivate) –
No description available

## GstCuda.CudaBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstCuda.CudaBufferPool

### Members

`parent` (Gst.BufferPool) –
No description available
`context` (GstCuda.CudaContext) –
No description available
`priv` (GstCuda.CudaBufferPoolPrivate) –
No description available

### Constructors

#### gst_cuda_buffer_pool_new

    GstBufferPool *
    gst_cuda_buffer_pool_new (GstCudaContext * context)

Parameters:

`context` –

The GstCudaContext to use for the new buffer pool

Returns –

A newly created GstCudaBufferPool

Since : 1.22

#### GstCuda.CudaBufferPool.prototype.new

    function GstCuda.CudaBufferPool.prototype.new(context: GstCuda.CudaContext): {
        // javascript wrapper for 'gst_cuda_buffer_pool_new'
    }

Parameters:

`context` (GstCuda.CudaContext) –

The GstCuda.CudaContext to use for the new buffer pool

Returns (Gst.BufferPool) –

A newly created GstCuda.CudaBufferPool

Since : 1.22

#### GstCuda.CudaBufferPool.new

    def GstCuda.CudaBufferPool.new (context):
        #python wrapper for 'gst_cuda_buffer_pool_new'

Parameters:

`context` (GstCuda.CudaContext) –

The GstCuda.CudaContext to use for the new buffer pool

Returns (Gst.BufferPool) –

A newly created GstCuda.CudaBufferPool

Since : 1.22

## Function Macros

### GST_CUDA_BUFFER_POOL_CAST

    #define GST_CUDA_BUFFER_POOL_CAST(obj)        ((GstCudaBufferPool*)(obj))

The results of the search are